<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

if ( ! gamers_studio_has_page_header() ) {
    return;
}

$gamers_studio_classes = array( 'page-header' );
$gamers_studio_style = gamers_studio_page_header_style();

if ( $gamers_studio_style ) {
    $gamers_studio_classes[] = $gamers_studio_style . '-page-header';
}

$gamers_studio_visibility = get_theme_mod( 'gamers_studio_page_header_visibility', 'all-devices' );

if ( 'hide-all-devices' === $gamers_studio_visibility ) {
    // Don't show the header at all
    return;
}

if ( 'hide-tablet' === $gamers_studio_visibility ) {
    $gamers_studio_classes[] = 'hide-on-tablet';
} elseif ( 'hide-mobile' === $gamers_studio_visibility ) {
    $gamers_studio_classes[] = 'hide-on-mobile';
} elseif ( 'hide-tablet-mobile' === $gamers_studio_visibility ) {
    $gamers_studio_classes[] = 'hide-on-tablet-mobile';
}

$gamers_studio_PAGE_TITLE_background_color = get_theme_mod('gamers_studio_page_title_background_color_setting', '');

// Get the toggle switch value
$gamers_studio_background_image_enabled = get_theme_mod('gamers_studio_page_header_style', true);

// Add background image to the header if enabled
$gamers_studio_background_image = get_theme_mod( 'gamers_studio_page_header_background_image', '' );
$gamers_studio_background_height = get_theme_mod( 'gamers_studio_page_header_image_height', '200' );
$gamers_studio_inline_style = '';

if ( $gamers_studio_background_image_enabled && ! empty( $gamers_studio_background_image ) ) {
    $gamers_studio_inline_style .= 'background-image: url(' . esc_url( $gamers_studio_background_image ) . '); ';
    $gamers_studio_inline_style .= 'height: ' . esc_attr( $gamers_studio_background_height ) . 'px; ';
    $gamers_studio_inline_style .= 'background-size: cover; ';
    $gamers_studio_inline_style .= 'background-position: center center; ';

    // Add the unique class if the background image is set
    $gamers_studio_classes[] = 'has-background-image';
}

$gamers_studio_classes = implode( ' ', $gamers_studio_classes );
$gamers_studio_heading = get_theme_mod( 'gamers_studio_page_header_heading_tag', 'h1' );
$gamers_studio_heading = apply_filters( 'gamers_studio_page_header_heading', $gamers_studio_heading );

?>

<?php do_action( 'gamers_studio_before_page_header' ); ?>

<header class="<?php echo esc_attr( $gamers_studio_classes ); ?>" style="<?php echo esc_attr( $gamers_studio_inline_style ); ?> background-color: <?php echo esc_attr($gamers_studio_PAGE_TITLE_background_color); ?>;">

    <?php do_action( 'gamers_studio_before_page_header_inner' ); ?>

    <div class="asterthemes-wrapper page-header-inner">

        <?php if ( gamers_studio_has_page_header() ) : ?>

            <<?php echo esc_attr( $gamers_studio_heading ); ?> class="page-header-title">
                <?php echo wp_kses_post( gamers_studio_get_page_title() ); ?>
            </<?php echo esc_attr( $gamers_studio_heading ); ?>>

        <?php endif; ?>

        <?php if ( function_exists( 'gamers_studio_breadcrumb' ) ) : ?>
            <?php gamers_studio_breadcrumb(); ?>
        <?php endif; ?>

    </div><!-- .page-header-inner -->

    <?php do_action( 'gamers_studio_after_page_header_inner' ); ?>

</header><!-- .page-header -->

<?php do_action( 'gamers_studio_after_page_header' ); ?>